Adobe Flash Player에 대한 보안 업데이트

릴리스 날짜: 2015년 3월 12일

최종 업데이트일: 2015년 4월 15일

취약점 식별자: APSB15-05

우선순위: 아래 표 참조

CVE 번호: CVE-2015-0332, CVE-2015-0333, CVE-2015-0334, CVE-2015-0335, CVE-2015-0336, CVE-2015-0337, CVE-2015-0338, CVE-2015-0339, CVE-2015-0340, CVE-2015-0341, CVE-2015-0342

플랫폼: 모든 플랫폼

요약

Adobe는 Windows, Macintosh 및 Linux용 Adobe Flash Player에 대한 보안 업데이트를 발표했습니다.  이러한 업데이트는 잠재적으로 침입자가 해당 시스템을 제어할 수 있는 취약점을 해결합니다. 따라서 제품을 아래와 같이 최신 버전으로 업데이트하는 것이 좋습니다.

  • Windows 및 Macintosh용의 Adobe Flash Player 데스크탑 런타임을 사용하는 사용자는 Adobe Flash Player 17.0.0.134 버전으로 업데이트해야 합니다.
  • Adobe Flash Player 확장 지원 릴리스를 사용하는 사용자는 Adobe Flash Player 13.0.0.277로 업데이트해야 합니다.
  • Linux용 Adobe Flash Player를 사용하는 사용자는 Adobe Flash Player 11.2.202.451으로 업데이트해야 합니다.
  • Windows 8.x에서 Google Chrome 또는 Internet Explorer와 함께 설치된 Adobe Flash Player는 버전 17.0.0.134로 자동 업데이트됩니다.
  • Adobe AIR 데스크탑 런타임 사용자는 버전 17.0.0.144 버전으로 업데이트해야 합니다.
  • Adobe AIR SDK, 및 AIR SDK & Compiler 사용자는 버전 17.0.0.144으로 업데이트해야 합니다.
  • Android용 Adobe AIR 사용자는 버전 17.0.0.144로 업데이트해야 합니다.

해당되는 소프트웨어 버전

  • Adobe Flash Player 16.0.0.305 및 이전 버전
  • Adobe Flash Player 13.0.0.269 및 이전 13.x 버전
  • Adobe Flash Player 11.2.202.442 및 이전 11.x 버전
  • AIR 데스크탑 런타임 17.0.0.124 및 이전 버전
  • AIR SDK 17.0.0.124 이하 버전
  • AIR SDK & Compiler 17.0.0.124 및 이전 버전
  • Android용 AIR 17.0.0.124 및 이전 버전

시스템에 설치되어 있는 Adobe Flash Player 버전을 확인하려면 Flash Player 정보 페이지에 액세스하거나 Flash Player에서 실행되는 컨텐츠를 마우스 오른쪽 단추로 클릭한 다음 메뉴에서 "Adobe(또는 Macromedia) Flash Player 정보"를 선택하십시오. 여러 개의 브라우저를 사용하고 있는 경우 각 브라우저별로 Flash Player 버전 번호를 확인한 후 설치하십시오.

시스템에 설치되어 있는 Adobe AIR 버전을 확인하려면 Adobe AIR 기술 문서에 있는 지침을 따르십시오.

해결 방법

아래 지침에 따라 소프트웨어를 업데이트하는 것이 좋습니다.

  • Windows 및 Macintosh용 Adobe Flash Player 데스크탑 런타임 사용자는 Adobe Flash Player 다운로드 센터를 방문하거나 [] 메시지가 표시되었을 때 제품 내의 업데이트 메커니즘을 통해 Adobe Flash Player 17.0.0.134 버전으로 업데이트하는 것이 좋습니다.
  • Adobe Flash Player 확장 지원 릴리스 사용자는 http://helpx.adobe.com/kr/flash-player/kb/archived-flash-player-versions.html을 방문하여 13.0.0.277 버전으로 업데이트하는 것이 좋습니다.
  • Linux용 Adobe Flash Player 사용자는 Adobe Flash Player 다운로드 센터를 방문하여 Adobe Flash Player 11.2.202.451 버전으로 업데이트하는 것이 좋습니다.
  • Google Chrome과 함께 설치되는 Adobe Flash Player는 Adobe Flash Player 17.0.0.134가 포함되어 있는 최신 Google Chrome 버전으로 자동 업데이트됩니다.
  • Windows 8.x용 Internet Explorer와 함께 설치되는 Adobe Flash Player는 Adobe Flash Player 17.0.0.134가 포함되는 최신 버전으로 자동 업데이트됩니다.
  • Adobe AIR 데스크탑 런타임을 사용하는 사용자는 Adobe AIR 다운로드 센터를 방문하여 17.0.0.144 버전으로 업데이트해야 합니다. 
  • Adobe AIR SDK를 사용하는 사용자는 Adobe AIR 다운로드 센터를 방문하여 17.0.0.144 버전으로 업데이트해야 합니다. 
  • Adobe AIR SDK 및 Compiler를 사용하는 사용자는 Adobe AIR 다운로드 센터를 방문하여 17.0.0.144 버전으로 업데이트해야 합니다. 
  • Android용 Adobe AIR를 사용하는 사용자는 Google Play 스토어에서 최신 버전을 다운로드하여 Adobe AIR 17.0.0.144로 업데이트해야 합니다.

우선 순위 및 심각도 등급

Adobe는 이러한 업데이트를 다음과 같은 우선 순위 등급으로 분류하고 사용자가 최신 버전으로 업데이트할 것을 권장합니다.

제품 해당하는 버전 플랫폼 우선 순위 등급
Adobe Flash Player 데스크탑 런타임 16.0.0.305 및 이전 버전
Windows 및 Macintosh
1
Adobe Flash Player 확장 지원 릴리스 13.0.0.269 및 이전 버전 Windows 및 Macintosh
1
Google Chrome용 Adobe Flash Player  16.0.0.305 및 이전 버전 Windows, Macintosh 및 Linux
1
Internet Explorer 10 및 Internet Explorer 11용 Adobe Flash Player 16.0.0.305 및 이전 버전 Windows 8.0 및 8.1 1
Linux용 11.2.202.442 및 이전 버전 Linux 3
AIR 데스크탑 런타임 17.0.0.124 및 이전 버전 Windows 및 Macintosh 3
AIR SDK 17.0.0.124 및 이전 버전 Windows, Macintosh, Android 및 iOS 3
AIR SDK & Compiler 17.0.0.124 및 이전 버전 Windows, Macintosh, Android 및 iOS 3
Android용 AIR 17.0.0.124 및 이전 버전 Android 3

이러한 업데이트는 소프트웨어에 있는 치명적인 취약점을 해결합니다.

자세한 내용

Adobe는 Windows, Macintosh 및 Linux용 Adobe Flash Player에 대한 보안 업데이트를 발표했습니다.  이러한 업데이트는 잠재적으로 침입자가 해당 시스템을 제어할 수 있는 취약점을 해결합니다. 따라서 제품을 아래와 같이 최신 버전으로 업데이트하는 것이 좋습니다.

  • Windows 및 Macintosh용의 Adobe Flash Player 데스크탑 런타임을 사용하는 사용자는 Adobe Flash Player 17.0.0.134 버전으로 업데이트해야 합니다.
  • Adobe Flash Player 확장 지원 릴리스를 사용하는 사용자는 Adobe Flash Player 13.0.0.277로 업데이트해야 합니다.
  • Linux용 Adobe Flash Player를 사용하는 사용자는 Adobe Flash Player 11.2.202.451으로 업데이트해야 합니다.
  • Windows 8.x에서 Google Chrome 또는 Internet Explorer와 함께 설치된 Adobe Flash Player는 버전 17.0.0.134로 자동 업데이트됩니다.
  • Adobe AIR 데스크탑 런타임 사용자는 버전 17.0.0.144 버전으로 업데이트해야 합니다.
  • Adobe AIR SDK, AIR SDK 및 Compiler 사용자는 버전 17.0.0.144로 업데이트해야 합니다.
  • Android용 Adobe AIR 사용자는 버전 17.0.0.144로 업데이트해야 합니다.

이 업데이트는 코드를 실행할 수 있는 메모리 손상 취약점을 해결합니다(CVE-2015-0332, CVE-2015-0333, CVE-2015-0335, CVE-2015-0339).

이 업데이트는 코드를 실행할 수 있는 유형 혼동 취약성을 해결합니다(-2015-, CVE-0334, CVE-2015-0336).

이 업데이트는 도메인 간 정책을 건너뛰는 결과를 초래할 수 있는 취약점을 해결합니다(CVE-2015-0337).

이 업데이트는 파일 업로드 제한을 건너뛰는 결과를 초래할 수 있는 취약점을 해결합니다(CVE-2015-0340).

이 업데이트는 코드를 실행할 수 있는 정수 오버플로우 취약점을 해결합니다(CVE-2015-0338).

이러한 업데이트는 코드를 실행할 수 있는 UAF(Use-After-Free) 취약점을 해결합니다(-2015-, CVE-0341, CVE-2015-0342).

해당되는 소프트웨어   권장 플레이어 업데이트 사용 가능성
Flash Player 데스크탑 런타임
  17.0.0.134

Flash Player 다운로드 센터

Flash Player 배포

Flash Player 확장 지원 릴리스   13.0.0.277 확장 지원
Linux용 Flash Player   11.2.202.451 Flash Player 다운로드 센터
Google Chrome용 Flash Player   17.0.0.134 Google Chrome 릴리스
Internet Explorer 10 및 Internet Explorer 11용 Flash Player   17.0.0.134
Microsoft Security Advisory
AIR 데스크탑 런타임   17.0.0.144 AIR 다운로드 센터
AIR SDK   17.0.0.144 AIR SDK 다운로드
AIR SDK & Compiler   17.0.0.144 AIR SDK 다운로드
Android용 AIR   17.0.0.144 Google Play

감사의 말

Adobe는 관련 문제를 보고하여 Adobe 고객의 보안 유지에 도움을 주신 다음 분들께 감사의 말씀을 전합니다.

  • Google Project Zero의 Chris Evans(CVE-2015-0332, CVE-2015-0335)
  • Intel Labs의 Yuki Chen과 Xiaoning Li, McAfee Labs의 Haifei Li(CVE-2015-0333)
  • Google Project Zero를 담당하는 Natalie Silvanovich(CVE-2015-0334, CVE-2015-0336)
  • NCC Group의 Soroush Dalili(CVE-2015-0337, CVE-2015-0340)
  • Google Project Zero의 Mark Brand(CVE-2015-0339)
  • HP의 Zero Day Initiative를 담당하는 bilou(CVE-2015-0341)
  • Chromium vulnerability reward program을 담당하는 KeenTeam의 Jihui Lu(@K33nTeam)(CVE-2015-0342)

수정

2015년 4월 15일: 이 게시판에서 언급된 CVE를 해결하는 Adobe AIR 버전이 추가되었습니다.